Anonymous Login
2018-10-16 19:07 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000294v1.2 Release (Closed)[All Projects] Generalpublic2009-12-08 19:07
Reportercastortech 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2 
Summary0000294: Project hours different/not accurate in project designer
DescriptionWhen viewing a project in project designer, the total scheduled hours (and project hours) can be different than those shown when looking at the "normal view project"
Additional InformationThis is due to the fact that projectdesigner uses its own formula in index.php instead of using the following sets of formula used by "normal project" (in view.php):
$worked_hours = $project->getWorkedHours();
$total_hours = $project->getTotalHours();
$total_project_hours = $project->getTotalProjectHours();

and when you start digging, you realize that the project class tests for task_dynamic <> 1 and the project designer uses task_dynamic = 0 instead.

When you have task with dependencies, you get values such as 31 that should be calculated and are missed by the project designer.

I suggest using common functions, at least it's always right or always wrong, not variant like right now.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000591

caseydk (administrator)

Applied the updates in r780, will be fixed in v1.2 release;
+Notes

-Issue History
Date Modified Username Field Change
2009-10-21 08:41 castortech New Issue
2009-11-02 18:28 caseydk Project v1.1 Release (Closed) => v1.2 Release (Closed)
2009-11-17 20:15 caseydk Status new => resolved
2009-11-17 20:15 caseydk Resolution open => fixed
2009-11-17 20:15 caseydk Assigned To => caseydk
2009-11-17 20:15 caseydk Note Added: 0000591
2009-12-08 19:07 caseydk Status resolved => closed
2009-12-08 19:07 caseydk Fixed in Version => 1.2
+Issue History